import { BrowserRouter, Routes, Route } from "react-router-dom";
import { useEffect } from "react";
import HomePage from "./HomePage";
import DetailPage from "./DetailPage";
import AddPage from "./AddPage";
import "./themes.css";

const THEMES = [
  "blue",
  "green", 
  "purple",
  "orange",
  "pink",
  "cyan",
  "dark",
  "gradient"
];

function App() {
  useEffect(() => {
    const randomTheme = THEMES[Math.floor(Math.random() * THEMES.length)];
    document.documentElement.setAttribute('data-theme', randomTheme);
  }, []);

  return (
    <BrowserRouter>
      <Routes>
        <Route path="/" element={<HomePage />} />
        <Route path="/detail/:id" element={<DetailPage />} />
        <Route path="/add" element={<AddPage />} />
      </Routes>
    </BrowserRouter>
  );
}

export default App;
